## file.tcl file menu items
## ==============
## Copyright (C) 1992 Joseph Wang
## See the file COPYRIGHT for conditions

proc tkWWWFileInitialize {} {
    global tkWWWConfigPrintCommand
    DLG:entry . .mail_dialog "Enter the To and Subject fields" \
	{"To:" "Subject:"} "Mail" "tkWWWNavigateMailText"
    DLG:entry . .find_dialog "Enter the keywords to find" \
	{"Find Keywords:"} "Find" "tkWWWNavigateFind"
    DLG:entry . .goto_dialog "Enter the link you wish to go to" \
	{"Goto Page:"} "Goto" "tkWWWNavigateRecordAndGoto"
    DLG:entry . .print_dialog "Enter the command to print with" \
	{"Print Command:"} "Print" "tkWWWNavigatePrintUsingCommand"
    DLG:set_entry_value .print_dialog 1 $tkWWWConfigPrintCommand
}

proc tkWWWFileAboutTkWWW {} {
    global tkWWWVersionAboutTkWWWString
    global tkWWWSourcePath
    DLG:toplevel . .information
    DLG:draw_icon_msg .information \
	@$tkWWWSourcePath/bitmap/logo $tkWWWVersionAboutTkWWWString
    DLG:draw_buttons .information "OK"
    DLG:bind_button .information 1 "DLG:destroy .information"
    DLG:show . .information
}

proc tkWWWFileQueryCloseWindow {} {
    if {[DLG:question . .close_window_dialog \
	 "Are you sure you want to close this tkWWW window?" "Yes" "No"] == 1} {
	     tkWWWNavigateCloseThisWindow
	 }
}

proc tkWWWFileQueryExit {} {
    if {[DLG:question . .exit_dialog \
	 "Are you sure you want to close ALL tkWWW windows?" "Yes" "No"] == 1} {
	     tkWWWNavigateCloseAllWindows
	 }
}

proc tkWWWFileLoadSource {} {
    FSBox {Load Source} "source.html" \
	{tkWWWNavigateGoto file:$fsBox(path)/$fsBox(name)}
    DLG:show . .fsBox
}

proc tkWWWFileSaveSource {} {
    FSBox {Save Source} "source.html" \
	{tkWWWNavigateSaveSource $fsBox(path)/$fsBox(name)}
    DLG:show . .fsBox
}

proc tkWWWFileSaveText {} {
    FSBox {Save Text} "file.txt" \
	{tkWWWNavigateSaveText $fsBox(path)/$fsBox(name)}
    DLG:show . .fsBox
}
