## history.tcl: history for tkWWW  user interface
## ==============
## Copyright (C) 1992 Joseph Wang
## See the file COPYRIGHT for conditions

set tkWWWHistoryList {}
set tkWWWHistoryOldList {}

proc tkWWWHistoryInitialize {} {
}

proc tkWWWHistoryRecord {title address {scroll_pos ""}} {
    global tkWWWHistoryList 
    global tkWWWHistoryOldList
    set tkWWWHistoryOldList $tkWWWHistoryList

    if {$title == {}} {
	set title "(Address)$address"
    }

    if {$scroll_pos != ""} {
	lappend tkWWWHistoryList [list $title $address {} $scroll_pos ]
    } {
	lappend tkWWWHistoryList [list $title $address]
    }

    tkWWWMenuMakeNodeMenu .menu.history.m.history $tkWWWHistoryList
}

proc tkWWWHistoryRestore {} {
    global tkWWWHistoryList
    global tkWWWHistoryOldList
    set tkWWWHistoryList $tkWWWHistoryOldList
}

proc tkWWWHistoryPop {} {
    global tkWWWHistoryList
    set index [expr "[llength $tkWWWHistoryList]-1"] 
    set return_string [lindex $tkWWWHistoryList $index ]
    incr index -1
    set tkWWWHistoryList [lrange $tkWWWHistoryList 0 $index]
    tkWWWMenuMakeNodeMenu .menu.history.m.history $tkWWWHistoryList
    return $return_string
}
