/* gopher.h
 *
 * Part of the Internet Gopher program, copyright (C) 1991
 * University of Minnesota Microcomputer Workstation and Networks Center
 *
 */

/*** All our mongo include files ***/

#include <stdio.h>

/*** Set global configuration options early ***/
#include "conf.h"

#if !defined(NeXT) && !defined(sequent) && !defined(mips)
#include <stdlib.h>
#endif

#include <netdb.h>

#include <signal.h>
#ifdef ultrix
#ifndef DID_CURSES_mhc
#  define DID_CURSES_mhc  /* prevents it from reincluding it in CUR* */
#  include <cursesX.h>
#endif DID_CURSES_mhc
#else
#include <curses.h>
#endif
/*  mhc -- test...
#include <curses.h>
*/

#ifndef __convex__
#include <string.h>
#endif

#ifndef hpux
#include <strings.h>
#endif

#include <ctype.h>
#include <errno.h>
#include <time.h>

#define HALFLINE 40

#define MAXSTR 200           /* Arbitrary maximum string length */

/** Include definitions for our data structures. **/

#include "boolean.h"
#include "STRstring.h"
#include "GDgopherdir.h"
#include "CURcurses.h"

/** Get the configuration variables **/

#include "globals.h"

/** Load in the header files for the various structures **/

#include "forms.h"
