/*		Manage different file formats			HTFormat.c
**		=============================
**
*/
#ifndef HTFORMATCLEAN_H
#define HTFORMATCLEAN_H
#include "HTFormat.h"
#include "HTAnchor.h"


/*	Parse a socket given its format
**	-------------------------------
**
**	Returns HT_LOADED if succesful, <0 if error.
*/
extern int HTParseSocketClean PARAMS((
	HTFormat	format_in,
	HTFormat	format_out,
	HTParentAnchor	*anchor,
	int 		file_number,
	HTStream*	sink));

extern BOOL HTOutputSource;	/* Flag: shortcut parser */
#endif
