## telnet.tcl interface with telnet
## ==============
## Copyright (C) 1992 Joseph Wang
## See the file COPYRIGHT for conditions

proc tkWWWTelnet {command host port} {
   global tkWWWConfigTerminal
   if {$port=={}} {
     exec $tkWWWConfigTerminal -e $command $host &
   } {
     exec $tkWWWConfigTerminal -e $command $host $port &
   }
}

proc tkWWWTelnetPage {page} {
   if [regexp {([a-zA-z0-9]+)://([a-zA-Z0-9]+@)*([a-zA-Z0-9\.]+)(:[0-9]+)*}  $page {} command user host port] {
      set user [string trim $user "@"] 
      set port [string trimleft $port ":"]
      set body_text "$command to\nhost: $host\n"
      if {$port!={}} {
	  append body_text "$port\n"
      }
      if {$user!={}} {
         append body_text "Log in as \"$user\"\n"
      }
      tkWWWOutputSetAddress $page {}
      tkWWWNavigatePreface $body_text "Press here to connect" \
	  {Connecting...} \
	  [format "tkWWWTelnet \{%s\} \{%s\} \{%s\}" $command $host $port]
   }
}

